LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices

Reply
 
Search this Thread
Old 12-30-2006, 08:06 AM   #1
robinBones
LQ Newbie
 
Registered: Aug 2003
Posts: 8

Rep: Reputation: 0
Apache OS Threads, Error with libpthread.so.0?


am trying to get Roundup Issue Tracker, http://roundup.sourceforge.net/doc-1...-web-interface
running on my CENT server. In the install documents, it says that most apache installs are not built with OS threading, and require this threading library to be loaded.

LD_PRELOAD=/lib/libpthread.so.0
export LD_PRELOAD

After I run those commands, many shell commands such as ls, cp, and mv dont run. I get the following errors

ls: /lib/libpthread.so.0: version `GLIBC_2.3.3' not found (required by /lib/tls/librt.so.1)

cp: relocation error: /lib/libpthread.so.0: symbol _h_errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

mv: relocation error: /lib/libpthread.so.0: symbol _h_errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

as far as I can tell, I am using glibc 2.3.4. Is there a package I can install to get a version of libpthread that will work with GLIBC 2.3.4?
 
Old 12-31-2006, 05:24 PM   #2
btmiller
Senior Member
 
Registered: May 2004
Location: In the DC 'burbs
Distribution: Arch, Scientific Linux, Debian, Ubuntu
Posts: 4,128

Rep: Reputation: 319Reputation: 319Reputation: 319Reputation: 319
Why don't you use the Apache packages thatr come with CentOS? They will work. The site you have gives instructions for setting up that software with Apache and mod_python (or just by using cgis).
 
Old 02-06-2007, 01:05 AM   #3
knurpsl
LQ Newbie
 
Registered: Jan 2007
Posts: 9

Rep: Reputation: 0
got the same problem

http://www.linuxquestions.org/questi...97#post2618297
let me know if theres news
 
Old 02-06-2007, 10:18 AM   #4
knurpsl
LQ Newbie
 
Registered: Jan 2007
Posts: 9

Rep: Reputation: 0
not quite having figured out my problem.
there are probably various libpthread libs
in /lib

have you tried one of the other ones?
 
  


Reply

Tags
centos


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Java threads listed using kill -3 does not contain all threads found using ps -auxww coneheed Programming 2 11-14-2005 08:57 AM
libpthread.so.0? reeseslover531 Linux - Software 1 11-13-2005 05:51 AM
update libpthread kernelvn *BSD 1 07-01-2005 11:23 AM
libpthread.so.0(GLIBC_2.3.2) feathersmcgraw Linux - Newbie 4 02-17-2005 02:09 AM
what's the difference between libpthread.so and libpthread.a? mmiglia Linux - Software 1 09-16-2004 07:53 AM


All times are GMT -5. The time now is 03:33 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration